has installer been updated yet because it still wont let me download anything, although i keeps telling me theres a installer update but it wont install because it says I have to be on 1.1.3